AbstractConstraint (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class AbstractConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint

All Implemented Interfaces:
  Constraint

    public abstract class AbstractConstraint
    extends java.lang.Object

Abstract class for constraints to extend.

Authors:
  Graeme Rocher

Field Summary
`protected java.lang.String` | `classShortName`
`protected java.lang.Class` | `constraintOwningClass`
`protected java.lang.Object` | `constraintParameter`
`protected java.lang.String` | `constraintPropertyName`
`protected org.springframework.context.MessageSource` | `messageSource`

Method Summary
`protected void` | `checkState()`
`protected java.lang.String` | `getDefaultMessage(java.lang.String code)`
`java.lang.Object` | `getParameter()`
`java.lang.String` | `getPropertyName()`
`boolean` | `isValid()`
`protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)` Return whether the constraint is valid for the owning class
`void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.Object[] args)`
`void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.String code, java.lang.Object[] args)`
`void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.String[] codes, java.lang.Object[] args)`
`void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String code, java.lang.String defaultMessage)`
`void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String code, java.lang.Object[] args, java.lang.String defaultMessage)`
`void` | `rejectValueWithDefaultMessage(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessage, java.lang.String[] codes, java.lang.Object[] args)`
`void` | `setMessageSource(org.springframework.context.MessageSource source)`
`void` | `setOwningClass(java.lang.Class constraintOwningClass)` {@inheritDoc}
`void` | `setParameter(java.lang.Object constraintParameter)` @param constraintParameter The constraintParameter to set.
`void` | `setPropertyName(java.lang.String constraintPropertyName)` @param constraintPropertyName The constraintPropertyName to set.
`protected boolean` | `skipBlankValues()`
`protected boolean` | `skipNullValues()`
`java.lang.String` | `toString()`
`void` | `validate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### classShortName

    protected java.lang.String classShortName

### constraintOwningClass

    protected java.lang.Class constraintOwningClass

### constraintParameter

    protected java.lang.Object constraintParameter

### constraintPropertyName

    protected java.lang.String constraintPropertyName

### messageSource

    protected org.springframework.context.MessageSource messageSource

Method Detail

### checkState

    protected void checkState()

### getDefaultMessage

    protected java.lang.String getDefaultMessage(java.lang.String code)

### getParameter

    public java.lang.Object getParameter()

### getPropertyName

    public java.lang.String getPropertyName()

### isValid

    public boolean isValid()

### processValidate

    protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

  Return whether the constraint is valid for the owning class
  Returns:
    true if it is

### rejectValue

    public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.Object[] args)

### rejectValue

    public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.String code, java.lang.Object[] args)

### rejectValue

    public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.String[] codes, java.lang.Object[] args)

### rejectValue

    public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String code, java.lang.String defaultMessage)

### rejectValue

    public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String code, java.lang.Object[] args, java.lang.String defaultMessage)

### rejectValueWithDefaultMessage

    public void rejectValueWithDefaultMessage(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessage, java.lang.String[] codes, java.lang.Object[] args)

### setMessageSource

    public void setMessageSource(org.springframework.context.MessageSource source)

### setOwningClass

    @java.lang.SuppressWarnings("rawtypes")
    public void setOwningClass(java.lang.Class constraintOwningClass)

  {@inheritDoc}
  See Also:
    Constraint.setOwningClass

### setParameter

    public void setParameter(java.lang.Object constraintParameter)

  Parameters:
    `constraintParameter` - The constraintParameter to set.

### setPropertyName

    public void setPropertyName(java.lang.String constraintPropertyName)

  Parameters:
    `constraintPropertyName` - The constraintPropertyName to set.

### skipBlankValues

    protected boolean skipBlankValues()

### skipNullValues

    protected boolean skipNullValues()

### toString

    @java.lang.Override}
    }
    public java.lang.String toString()

### validate

    public void validate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

Groovy Documentation